Bug 431734 - dig -6 "can't find IPv6 networking"
dig -6 "can't find IPv6 networking"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 13:34 EST by Valdis Kletnieks
Modified: 2013-04-30 19:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 12:12:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f of a failing 'dig' command (19.20 KB, text/plain)
2008-02-06 13:34 EST, Valdis Kletnieks
no flags Details

  None (edit)
Description Valdis Kletnieks 2008-02-06 13:34:12 EST
Description of problem:
Trying to use 'dig -6' on an ipv6-enabled system fails


Version-Release number of selected component (if applicable):
bind-utils-9.5.0-25.b1.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

% dig -6 @2001:503:ba3e::2:30 . ns
dig: can't find IPv6 networking
% ifconfig
eth0      Link encap:Ethernet  HWaddr 00:15:C5:C8:33:4E  
          inet addr:128.173.14.107  Bcast:128.173.14.255  Mask:255.255.252.0
          inet6 addr: 2001:468:c80:2103:215:c5ff:fec8:334e/64 Scope:Global
          inet6 addr: fe80::215:c5ff:fec8:334e/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:139314 errors:0 dropped:0 overruns:0 frame:0
          TX packets:74310 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:86894638 (82.8 MiB)  TX bytes:12247204 (11.6 MiB)
          Interrupt:18
Comment 1 Valdis Kletnieks 2008-02-06 13:34:12 EST
Created attachment 294130 [details]
strace -f of a failing 'dig' command
Comment 2 Valdis Kletnieks 2008-02-06 13:52:28 EST
Another failure mode - leaving off -6 generates a *different* error msg:

% dig @2001:503:ba3e::2:30 . ns 
dig: couldn't get address for '2001:503:ba3e::2:30': address family not supported

Other things are using IPv6 just fine - ssh, smtp, firefox, and other stuff.
Comment 3 Adam Tkac 2008-02-11 12:12:58 EST
This problem is due recent glibc changes. Bind has to be rebuild with
-D_GNU_SOURCE. Fixed in bind-9.5.0-26.b2.fc9

Note You need to log in before you can comment on or make changes to this bug.